summaryrefslogtreecommitdiff
path: root/debian/apt.postinst
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-10-08 08:36:53 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-10-08 08:36:53 +0200
commita943fbf21ca0b9b58b8f1492fc518679b1d7c749 (patch)
tree8db7050b025ca3918ff3e5ebad00f3a7f339a7d2 /debian/apt.postinst
parent8f45798d532223adc378a4ad9ecfc64b3be26e4f (diff)
parentf9a3c4bde867e70e8c89b6ed5924ab9fab517096 (diff)
Merge remote-tracking branch 'mvo/feature/acq-trans' into debian/experimental
Diffstat (limited to 'debian/apt.postinst')
-rwxr-xr-xdebian/apt.postinst15
1 files changed, 9 insertions, 6 deletions
diff --git a/debian/apt.postinst b/debian/apt.postinst
index 5820db587..b0a5da7d8 100755
--- a/debian/apt.postinst
+++ b/debian/apt.postinst
@@ -39,12 +39,15 @@ case "$1" in
fi
fi
- # add unprivileged user for the apt methods
- adduser --force-badname --system -home /var/empty \
- --no-create-home --quiet _apt || true
- chown -R _apt:root \
- /var/lib/apt/lists \
- /var/cache/apt/archives
+ # add unprivileged user for the apt methods
+ adduser --force-badname --system -home /var/empty \
+ --no-create-home --quiet _apt || true
+
+ # deal with upgrades from experimental
+ if dpkg --compare-versions "$2" 'eq' '1.1~exp3'; then
+ # libapt will setup partial/ at runtime
+ chown -R root:root /var/lib/apt/lists /var/cache/apt/archives || true
+ fi
# ensure tighter permissons on the logs, see LP: #975199
if dpkg --compare-versions "$2" lt-nl 0.9.7.7; then